Subject: Re: 23.0.60; left/right-margin property is not honored on word-wrapped lines

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sat, 20 Sep 2008 01:33:08 +0200

Chong Yidong wrote:
>> When a line is wrapped the `left-margin' text property is honored only
>> on the first visual line. This seems ok to me unless word-wrap is
>> true.  In that case I think that `left-margin' and `right-margin'
>> should be honored on all visual lines.
> 
> A word-wrapped line is essentially the same as a continued line; it's
> just that the line is continued at a word boundary rather than a window
> edge.  In terms of the buffer contents, it's all one long line, so
> there's no reason for margin properties to have any effect on the
> subsequent *screen* lines in the wrapped line.

But the reason for wrapping at words is to enhance readability for the
user. For precisely this reason I think that the left margin property
should be used indent the wrapped line too.

After all that is how fill-paragraph works. I think we should think the
same about wrapped lines.